/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.hibernate.timers;

import java.io.Serializable;

/**
 The Timers table key

 @author Scott.Stark@jboss.org
 @version $Revision: 1.1 $
 */
public class TimersID implements Serializable
{
   private static final long serialVersionUID = 1L;

   private String timerID;
   private String targetID;

   public TimersID()
   {
   }
   public TimersID(String timerID, String targetID)
   {
      this.timerID = timerID;
      this.targetID = targetID;
   }

   public String getTimerID()
   {
      return this.timerID;
   }

   public void setTimerID(String timerID)
   {
      this.timerID = timerID;
   }

   public String getTargetID()
   {
      return this.targetID;
   }

   public void setTargetID(String targetID)
   {
      this.targetID = targetID;
   }


   public boolean equals(Object other)
   {
      if ((this == other)) return true;
      if ((other == null)) return false;
      if (!(other instanceof TimersID)) return false;
      TimersID castOther = (TimersID) other;

      return ((this.getTimerID() == castOther.getTimerID()) || (this.getTimerID() != null && castOther.getTimerID() != null && this.getTimerID().equals(castOther.getTimerID())))
         && ((this.getTargetID() == castOther.getTargetID()) || (this.getTargetID() != null && castOther.getTargetID() != null && this.getTargetID().equals(castOther.getTargetID())));
   }

   public int hashCode()
   {
      int result = 17;

      result = 37 * result + (getTimerID() == null ? 0 : this.getTimerID().hashCode());
      result = 37 * result + (getTargetID() == null ? 0 : this.getTargetID().hashCode());
      return result;
   }


}
